Bug 1305223 - libqxt: FTBFS in rawhide
libqxt: FTBFS in rawhide
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libqxt (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabio Alessandro Locati
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-06 01:30 EST by Fedora Release Engineering
Modified: 2016-03-07 18:29 EST (History)
2 users (show)

See Also:
Fixed In Version: libqxt-0.6.2-11.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-07 18:29:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (52.52 KB, text/plain)
2016-02-06 01:30 EST, Fedora Release Engineering
no flags Details
root.log (97.52 KB, text/plain)
2016-02-06 01:30 EST, Fedora Release Engineering
no flags Details
state.log (621 bytes, text/plain)
2016-02-06 01:30 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-06 01:30:47 EST
Your package libqxt failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12802610

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-06 01:30:50 EST
Created attachment 1121601 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-06 01:30:51 EST
Created attachment 1121602 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-06 01:30:53 EST
Created attachment 1121603 [details]
state.log
Comment 4 Yaakov Selkowitz 2016-02-18 23:04:22 EST
qxtslotjob.cpp: In member function 'QVariant QxtFuture::delayedResult(int)':
qxtslotjob.cpp:177:34: error: no matching function for call to 'QxtSignalWaiter::wait(int&, bool)'
     if (!waiter->wait(msec, false))
                                  ^
In file included from qxtslotjob_p.h:29:0,
                 from qxtslotjob.cpp:25:
./qxtsignalwaiter.h:43:17: note: candidate: static bool QxtSignalWaiter::wait(const QObject*, const char*, int, QEventLoop::ProcessEventsFlags)
     static bool wait(const QObject* sender, const char* signal, int msec = -1, QEventLoop::ProcessEventsFlags flags = QEventLoop::AllEvents);
                 ^~~~

See "Cannot convert 'bool' to 'T*'" in https://gcc.gnu.org/gcc-6/porting_to.html
Comment 5 Jan Kurik 2016-02-24 09:25:32 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 6 Upstream Release Monitoring 2016-03-07 17:51:59 EST
yselkowitz's libqxt-0.6.2-11.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=742794

Note You need to log in before you can comment on or make changes to this bug.